aboutsummaryrefslogtreecommitdiff
path: root/board
diff options
context:
space:
mode:
authorGravatar Gary Bisson <gary.bisson@boundarydevices.com>2018-07-19 12:31:04 +0200
committerGravatar Thomas Petazzoni <thomas.petazzoni@bootlin.com>2018-07-19 15:41:24 +0200
commita534676dc334879f69a9834aaf47ed440e80a381 (patch)
treef5c4e0aa891febb03c3116dc5730534f28fc70b5 /board
parentd8c0faa980df32622d5f1964892ba84fa4f17a9e (diff)
downloadbuildroot-a534676dc334879f69a9834aaf47ed440e80a381.tar.gz
buildroot-a534676dc334879f69a9834aaf47ed440e80a381.tar.bz2
board/freescale/common/imx: make imx8-bootloader-prepare more generic
Allow user to override the hardcoded dtb name by using BR2_ROOTFS_POST_SCRIPT_ARGS. The only user of this script, configs/freescale_imx8mqevk, is updated accordingly. Cc: Fabio Estevam <festevam@gmail.com> Signed-off-by: Gary Bisson <gary.bisson@boundarydevices.com> Signed-off-by: Thomas Petazzoni <thomas.petazzoni@bootlin.com>
Diffstat (limited to 'board')
-rwxr-xr-xboard/freescale/common/imx/imx8-bootloader-prepare.sh8
1 files changed, 6 insertions, 2 deletions
diff --git a/board/freescale/common/imx/imx8-bootloader-prepare.sh b/board/freescale/common/imx/imx8-bootloader-prepare.sh
index 2648147ab0..cc12666ae6 100755
--- a/board/freescale/common/imx/imx8-bootloader-prepare.sh
+++ b/board/freescale/common/imx/imx8-bootloader-prepare.sh
@@ -2,9 +2,13 @@
main ()
{
- # Currently we support imx8mqevk.
+ UBOOT_DTB=$2
+ if [ ! -e "$UBOOT_DTB" ]; then
+ echo "ERROR: couldn't find dtb: $UBOOT_DTB"
+ exit 1
+ fi
cat ${BINARIES_DIR}/u-boot-spl.bin ${BINARIES_DIR}/lpddr4_pmu_train_fw.bin > ${BINARIES_DIR}/u-boot-spl-ddr.bin
- BL31=${BINARIES_DIR}/bl31.bin BL33=${BINARIES_DIR}/u-boot.bin ${HOST_DIR}/bin/mkimage_fit_atf.sh ${BINARIES_DIR}/fsl-imx8mq-evk.dtb > ${BINARIES_DIR}/u-boot.its
+ BL31=${BINARIES_DIR}/bl31.bin BL33=${BINARIES_DIR}/u-boot.bin ${HOST_DIR}/bin/mkimage_fit_atf.sh ${UBOOT_DTB} > ${BINARIES_DIR}/u-boot.its
${HOST_DIR}/bin/mkimage -E -p 0x3000 -f ${BINARIES_DIR}/u-boot.its ${BINARIES_DIR}/u-boot.itb
rm -f ${BINARIES_DIR}/u-boot.its